post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to update device information. Hostname is mandatory. You may update OS, critical flag, tags, or delete existing tags. You may also activate/deactivate endpoint agents.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Device hostname | Yes | string |
| os | Operating system of the device | No | string |
| critical | Mark device as critical (true/false) | No | string |
| agentactivation | Agent activation control (deactivate or reactivate) | No | string |
| tags | Add/update device metadata (key/value pairs) | No | object[] |
| deletetags | Delete tags by key name | No | string[] |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.update(
hostname="windows 7",
tags={
"Location":"New York",
"type":"endpoint"
},
deletetags=["<Tag Name>"]
)
print(response)
client.close()Requires Python 3.9 or later.